Package com.sap.ai.sdk.prompt.registry.model

# Class RuntimePromptTemplateFile

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.RuntimePromptTemplateFile

public class RuntimePromptTemplateFile extends Object
RuntimePromptTemplateFile

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RuntimePromptTemplateFile()`
  Default constructor for RuntimePromptTemplateFile.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RuntimePromptTemplateFile`
  `apiVersion(String apiVersion)`
  Set the apiVersion of this `RuntimePromptTemplateFile` instance and return the same instance.
  `static RuntimePromptTemplateFile`
  `create()`
  Create a new `RuntimePromptTemplateFile` instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getApiVersion()`
  Get apiVersion
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RuntimePromptTemplateFile`.
  `String`
  `getKind()`
  Get kind
  `RuntimePromptTemplateFileMetadata`
  `getMetadata()`
  Get metadata
  `PromptTemplateSpec`
  `getSpec()`
  Get spec
  `int`
  `hashCode()`
  `RuntimePromptTemplateFile`
  `kind(String kind)`
  Set the kind of this `RuntimePromptTemplateFile` instance and return the same instance.
  `RuntimePromptTemplateFile`
  `metadata(RuntimePromptTemplateFileMetadata metadata)`
  Set the metadata of this `RuntimePromptTemplateFile` instance and return the same instance.
  `void`
  `setApiVersion(String apiVersion)`
  Set the apiVersion of this `RuntimePromptTemplateFile` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RuntimePromptTemplateFile` instance.
  `void`
  `setKind(String kind)`
  Set the kind of this `RuntimePromptTemplateFile` instance.
  `void`
  `setMetadata(RuntimePromptTemplateFileMetadata metadata)`
  Set the metadata of this `RuntimePromptTemplateFile` instance.
  `void`
  `setSpec(PromptTemplateSpec spec)`
  Set the spec of this `RuntimePromptTemplateFile` instance.
  `RuntimePromptTemplateFile`
  `spec(PromptTemplateSpec spec)`
  Set the spec of this `RuntimePromptTemplateFile` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RuntimePromptTemplateFile` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RuntimePromptTemplateFile

    protected RuntimePromptTemplateFile()
    Default constructor for RuntimePromptTemplateFile.

- ## Method Details

  - ### apiVersion

    @Nonnull public RuntimePromptTemplateFile apiVersion(@Nullable String apiVersion)
    Set the apiVersion of this `RuntimePromptTemplateFile` instance and return the same instance.
    Parameters:
      `apiVersion` - The apiVersion of this `RuntimePromptTemplateFile`
    Returns:
      The same instance of this `RuntimePromptTemplateFile` class

  - ### getApiVersion

    @Nonnull public String getApiVersion()
    Get apiVersion
    Returns:
      apiVersion The apiVersion of this `RuntimePromptTemplateFile` instance.

  - ### setApiVersion

    public void setApiVersion(@Nullable String apiVersion)
    Set the apiVersion of this `RuntimePromptTemplateFile` instance.
    Parameters:
      `apiVersion` - The apiVersion of this `RuntimePromptTemplateFile`

  - ### kind

    @Nonnull public RuntimePromptTemplateFile kind(@Nullable String kind)
    Set the kind of this `RuntimePromptTemplateFile` instance and return the same instance.
    Parameters:
      `kind` - The kind of this `RuntimePromptTemplateFile`
    Returns:
      The same instance of this `RuntimePromptTemplateFile` class

  - ### getKind

    @Nonnull public String getKind()
    Get kind
    Returns:
      kind The kind of this `RuntimePromptTemplateFile` instance.

  - ### setKind

    public void setKind(@Nullable String kind)
    Set the kind of this `RuntimePromptTemplateFile` instance.
    Parameters:
      `kind` - The kind of this `RuntimePromptTemplateFile`

  - ### metadata

    @Nonnull public RuntimePromptTemplateFile metadata(@Nullable RuntimePromptTemplateFileMetadata metadata)
    Set the metadata of this `RuntimePromptTemplateFile` instance and return the same instance.
    Parameters:
      `metadata` - The metadata of this `RuntimePromptTemplateFile`
    Returns:
      The same instance of this `RuntimePromptTemplateFile` class

  - ### getMetadata

    @Nonnull public RuntimePromptTemplateFileMetadata getMetadata()
    Get metadata
    Returns:
      metadata The metadata of this `RuntimePromptTemplateFile` instance.

  - ### setMetadata

    public void setMetadata(@Nullable RuntimePromptTemplateFileMetadata metadata)
    Set the metadata of this `RuntimePromptTemplateFile` instance.
    Parameters:
      `metadata` - The metadata of this `RuntimePromptTemplateFile`

  - ### spec

    @Nonnull public RuntimePromptTemplateFile spec(@Nullable PromptTemplateSpec spec)
    Set the spec of this `RuntimePromptTemplateFile` instance and return the same instance.
    Parameters:
      `spec` - The spec of this `RuntimePromptTemplateFile`
    Returns:
      The same instance of this `RuntimePromptTemplateFile` class

  - ### getSpec

    @Nonnull public PromptTemplateSpec getSpec()
    Get spec
    Returns:
      spec The spec of this `RuntimePromptTemplateFile` instance.

  - ### setSpec

    public void setSpec(@Nullable PromptTemplateSpec spec)
    Set the spec of this `RuntimePromptTemplateFile` instance.
    Parameters:
      `spec` - The spec of this `RuntimePromptTemplateFile`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RuntimePromptTemplateFile`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RuntimePromptTemplateFile` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RuntimePromptTemplateFile` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RuntimePromptTemplateFile` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RuntimePromptTemplateFile create()
    Create a new `RuntimePromptTemplateFile` instance. No arguments are required.